Bug 985731 - mesa_dri_drivers update broke vmware driver for lwjgl (Minecraft)
mesa_dri_drivers update broke vmware driver for lwjgl (Minecraft)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 02:11 EDT by agilmore2
Modified: 2014-02-05 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:09:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hs_error.log from java (71.21 KB, text/plain)
2013-07-18 02:11 EDT, agilmore2
no flags Details

  None (edit)
Description agilmore2 2013-07-18 02:11:09 EDT
Created attachment 775121 [details]
hs_error.log from java

Description of problem:
After updating to the 9.2 version of Mesa DRI drivers, Minecraft started core dumping.
When I downgrade to 9.1, works as expected.
This is on a Fedora 18 box with latest updates, latest version of VMWare Workstation (9.0.2)

Version-Release number of selected component (if applicable):
9.2

How reproducible:
Always

Steps to Reproduce:
1.Fully Update system
2.Run Minecraft
3.Open/Create world
4.Core

Actual results:
Core

Expected results:
Working

Additional info:
Willing to track down whatever. Not sure where else to look for logs.

Can reproduce that 9.1-3 build of mesa works fine. Can switch between working and nonworking configs with yum erase mesa-filesystem and yum localinstall mesa-(dri-(drivers|filesystem)|libxatracker)-9.1-3* llvm-libs-3.2-2* to get to a working system, and yum update to break it again.
Comment 1 agilmore2 2013-07-18 02:35:41 EDT
Should comment that I've tested several versions of Minecraft, from 1.2.5 to 1.5.2.
Comment 2 agilmore2 2013-07-18 03:02:06 EDT
This error occurs with several different versions of lwjgl, and Minecraft.

Stack trace from 978M!! core file, even bz2 compressed it's 27M.

I've installed the mesa-debuginfo, so this stack trace has more detail in it. Every call from frame 7 to frame 28 was in vmwgfx_dri.so.

#0  0x0000003442835c55 in raise () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install java-1.7.0-openjdk-1.7.0.25-2.3.10.4.fc18.x86_64
(gdb) where
#0  0x0000003442835c55 in raise () from /lib64/libc.so.6
#1  0x0000003442837408 in abort () from /lib64/libc.so.6
#2  0x00007f0082f98c89 in os::abort(bool) ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/lib/amd64/server/libjvm.so
#3  0x00007f00830f3aef in VMError::report_and_die() ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/lib/amd64/server/libjvm.so
#4  0x00007f0082f9fd0f in JVM_handle_linux_signal ()
   from /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25.x86_64/jre/lib/amd64/server/libjvm.so
#5  <signal handler called>
#6  0x0000000000000000 in ?? ()
#7  0x00007f006f4d8d66 in generic_run_one (vert=0x7f006d549000, instance_id=0, 
    elt=0, tg=0x7efff92b2320) at translate/translate_generic.c:646
#8  generic_run (translate=0x7efff92b2320, start=<optimized out>, 
    count=<optimized out>, instance_id=0, output_buffer=<optimized out>)
    at translate/translate_generic.c:733
#9  0x00007f006f4a733b in emit_vertex (vertex=0x7efff8091df0, 
    vbuf=0x7efff8123e30) at draw/draw_pipe_vbuf.c:141
#10 vbuf_tri (stage=0x7efff8123e30, prim=<optimized out>)
    at draw/draw_pipe_vbuf.c:163
#11 0x00007f006f4a367a in emit_poly (stage=0x7efff8071730, 
    origPrim=0x7f0074ac08f0, n=3, edgeflags=<optimized out>, 
    inlist=0x7f0074ac0730) at draw/draw_pipe_clip.c:271
#12 do_clip_tri (stage=0x7eff00000003, header=0x7f0074ac08f0, 
    clipmask=<optimized out>) at draw/draw_pipe_clip.c:483
#13 0x00007f006f49ede0 in do_triangle (draw=0x7efff806a9f0, 
    v2=0x7efff92b896c "", 
    v1=0x7efff92b8864 "\001@\377\377V%.B\314w\370\301\224\377)B\367T*BV%.B\314w\370\301\224\377)B\367T*B\351\313WD\021F\317Cֿ\177?\233`\300<\315\314\314>\315\314\314>\315\314\314>", v0=0x7efff92b87e0 "", flags=13) at draw/draw_pipe.c:166
#14 pipe_run_linear (draw=draw@entry=0x7efff806a9f0, prim=<optimized out>, 
    prim_flags=<optimized out>, vertices=0x7efff92b87e0, stride=132, count=132)
    at draw/draw_decompose_tmp.h:179
#15 0x00007f006f49f3d4 in draw_pipeline_run_linear (draw=0x7efff806a9f0, 
    vert_info=0x7f0074ac09d0, prim_info=0x7f0074ac0b00) at draw/draw_pipe.c:333
#16 0x00007f006f58f87d in pipeline (llvm=0x7efff806cf30, 
    prim_info=0x7f0074ac0b00, vert_info=0x7f0074ac09d0)
    at draw/draw_pt_fetch_shade_pipeline_llvm.c:290
#17 llvm_pipeline_generic (middle=0x7efff806cf30, fetch_info=0x0, 
    fetch_info@entry=0x7f0074ac0ae0, 
    in_prim_info=in_prim_info@entry=0x7f0074ac0b00)
    at draw/draw_pt_fetch_shade_pipeline_llvm.c:429
#18 0x00007f006f58fa24 in llvm_middle_end_linear_run (middle=<optimized out>, 
    start=<optimized out>, count=4, prim_flags=<optimized out>)
    at draw/draw_pt_fetch_shade_pipeline_llvm.c:494
#19 0x00007f006f4af831 in vsplit_segment_simple_linear (vsplit=0x7efff8098210, 
    icount=4, istart=0, flags=0) at draw/draw_pt_vsplit_tmp.h:235
#20 vsplit_run_linear (frontend=0x7efff8098210, start=0, count=4)
    at draw/draw_split_tmp.h:61
#21 0x00007f006f4a983a in draw_pt_arrays (draw=draw@entry=0x7efff806a9f0, 
    prim=7, start=0, count=count@entry=4) at draw/draw_pt.c:149
#22 0x00007f006f4a9cba in draw_vbo (draw=draw@entry=0x7efff806a9f0, 
    info=0x7f0074ac0c10, info@entry=0x7f0074ac1040) at draw/draw_pt.c:579
#23 0x00007f006f5b2c17 in svga_swtnl_draw_vbo (svga=svga@entry=0x7efff8071b40, 
    info=info@entry=0x7f0074ac1040) at svga_swtnl_draw.c:102
#24 0x00007f006f5abb30 in svga_draw_vbo (info=0x7f0074ac1040, 
    pipe=0x7efff8071b40) at svga_pipe_draw.c:378
#25 svga_draw_vbo (pipe=0x7efff8071b40, info=0x7f0074ac1040)
    at svga_pipe_draw.c:325
#26 0x00007f006f506915 in u_vbuf_draw_vbo (mgr=0x7efff81c8bf0, 
    info=0x7f0074ac1040) at util/u_vbuf.c:1252
#27 0x00007f006f3f3099 in st_draw_vbo (ctx=0x7efff8159f70, 
    prims=<optimized out>, nr_prims=<optimized out>, ib=0x0, 
    index_bounds_valid=<optimized out>, min_index=1834258464, max_index=3, 
    tfb_vertcount=0x0) at ../../src/mesa/state_tracker/st_draw.c:286
#28 0x00007f006f3cc274 in vbo_draw_arrays (ctx=0x7efff8159f70, mode=7, 
    start=0, count=4, numInstances=1, baseInstance=<optimized out>)
    at ../../src/mesa/vbo/vbo_exec_array.c:624
#29 0x00007f0079112fe4 in ?? ()
#30 0x00007f0074ac11f8 in ?? ()
#31 0x00007f0074ac11a0 in ?? ()
#32 0x00007f007c4ea000 in ?? ()
#33 0x00007f0079104856 in ?? ()
#34 0x00000000e0a402a0 in ?? ()
#35 0x0000000000000020 in ?? ()
#36 0x00000000e00001c0 in ?? ()
#37 0x00007f0074ac1188 in ?? ()
#38 0x00000000e129fe50 in ?? ()
#39 0x00007f0079122d2c in ?? ()
#40 0x00000000e00001c0 in ?? ()
#41 0x0000000000000000 in ?? ()
Comment 3 Fedora End Of Life 2013-12-21 09:21:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:09:00 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.